<?xml version="1.0" encoding="UTF-8"?>
<configuration>
    <appender name="dailyRollingFileAppender"
              class="ch.qos.logback.core.rolling.RollingFileAppender">
        <append>true</append>
        <prudent>true</prudent>

        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
            <fileNamePattern>log/Bridge_Log_%d{yyyy-MM-dd}.log</fileNamePattern>
            <maxHistory>30</maxHistory>
        </rollingPolicy>
        <filter class="ch.qos.logback.classic.filter.ThresholdFilter">
            <level>DEBUG</level>
        </filter>

        <encoder>
            <pattern>[BRIDGE] %d{yyyy-MM-dd HH:mm:ss} [%thread] %-5level %logger{35} - %msg%n</pattern>
        </encoder>
    </appender>
     
	<appender name="STDOUT" class="ch.qos.logback.core.ConsoleAppender">
    	<layout class="ch.qos.logback.classic.PatternLayout">
      		<Pattern>%d{HH:mm:ss.SSS} [%thread] %-5level %logger{36} - %msg%n</Pattern>
    	</layout>
  </appender>
  
    <logger name="com.icontrols.bridge" level="INFO"></logger>

    <root level="INFO">
        <appender-ref ref="dailyRollingFileAppender" />
        <appender-ref ref="STDOUT" />
    </root>
</configuration>